Request
curl https://sandbox.api.lendeasy.ai /v1/servicing/cookie/threads/$THREAD_ID/turns \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/cookie/threads/${threadId}/turns` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/servicing/cookie/threads/{thread_id}/turns" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant},
)200 400 401 403 404
{
"turns": [
{
"turnId": 8201 ,
"seq": 1 ,
"questionFamily": "CURRENT_PAYOFF",
"answerPath": "DIRECT",
"answerStatus": "GROUNDED",
"terminalAt": "2026-07-25T18: 40 :00Z",
"answer": {
"answerStatus": "GROUNDED",
"answerKind": "VERIFIED_FACT",
"answer": "The payoff for loan 456 today is 1,254.10 USD.",
"assertions": [
{
"claimType": "PAYOFF_TOTAL",
"text": "Payoff total as of today",
"value": "1254.10 USD",
"derivation": "SOURCED",
"sourceRefs": [
"loan: 456 "
]
}
],
"citations": [
{
"type": "LOAN",
"publicRef": "loan: 456 ",
"label": "Loan 456 servicing record",
"sourceTime": "2026-07-25T18: 40 :00Z",
"freshness": "CURRENT",
"deepLink": "/loans/456"
}
],
"missingFacts": [],
"warnings": [],
"attentionItems": [],
"proposedActions": []
}
}
]
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}